#include "Common.h"
#define SPEEDTAXI 4
private ["_eleObj", "_nim", "_ele", "_dir", "_pos", "_plane", "_dest", "_v"];

_nim = [_this, 0, ObjNull] call BIS_fnc_param;
_plane = [_this, 1, ObjNull] call BIS_fnc_param;
_ele = [_this, 2, "E1"] call BIS_fnc_param;

// call elevator and drive atop of it
_eleObj = [_nim, _ele] call TeTeT_fnc_findElevatorObj;

[_eleObj, 1] call TTT_fnc_elevator;
waitUntil {_eleObj animationPhase "ani_ElevBarB" < -0.9};

// drive on elevator
_dir = getDir _plane;
_pos = getPosASL _plane;
_dest = CIRCLEPOS2(_pos, _dir, -29);
_dest = [_dest select 0, _dest select 1, 8];

_plane setDir (180 - (_plane getDir _dest));

while {alive player and alive _plane and _plane distance _dest > 3} do {
  // systemChat format ["d: %1", _plane distance _dest];
  if (_plane distance _dest > 50) then {
  	systemChat "Push broken, teleporting";
  	_plane setPosASL _dest;
  };
  private _pos2 = _plane getPos [1, 180 - getDir _plane];
  // not sure why this has to be 5, but anything less and the plane dives into the ground
  _pos2 set [2, getPosASL _plane # 2];
  _plane setVelocityTransformation
  [
    getPosASL _plane,
    _pos2,
    [0, 0, 0],
    [0, 0, 0],
    vectorDir _plane,
    vectorDir _plane,
    [0, 0, 1],
    [0, 0, 1],
    0.1
  ];
  sleep 0.05;
};

[_eleObj, 0] call TTT_fnc_elevator;
waitUntil {_eleObj animationPhase "ani_ElevBarT" < 0.1};

_plane;