private ["_vehicles", "_tCam", "_disp", "_xCoord", "_yCoord", "_h", "_zCoord"];


disableSerialization;
waitUntil {!isNull (findDisplay 46)};
_disp = findDisplay 46;
_disp displayAddEventHandler ["KeyDown", "T = _this call TeTeT_fnc_keyPress;"];

_vehicles = entities "Air";
_vehicles set [count _vehicles, Nimitz];

// simple script, follow each vehicle for some seconds
_tCam = "camera" camCreate [0,0,0];
TeTeT_Cam = _tcam;
showCinemaBorder false;
_tCam cameraEffect ["external", "back"];

while {alive player} do {
  {
    titleText[ format["Observing %1", _x], "PLAIN DOWN"];
    // special treatment for Nimitz
    if (_x == Nimitz) then {
        _xCoord = [100, -100] call BIS_fnc_selectRandom;
        _yCoord = [100, -100] call BIS_fnc_selectRandom;
    	_tCam camSetRelPos [_xCoord, _yCoord, 100];
    	_tCam camSetTarget _x;
        _tCam camSetRelPos [_xCoord, _yCoord, 100];
    } else {
        // planes and helos
        _tCam camSetTarget _x;
        _h = getPosASL _x select 2;
        if (_h > 100) then {
            _zCoord = [100, -100] call BIS_fnc_selectRandom;
            _xCoord = [10, 50, -50, -10, -100, -500] call BIS_fnc_selectRandom;
            _yCoord = [10, 50, -50, -10, -100, -500] call BIS_fnc_selectRandom;
        } else {
            _zCoord = 15;
            _xCoord = [10, 50, -50, -10] call BIS_fnc_selectRandom;
            _yCoord = [10, 50, -50, -10] call BIS_fnc_selectRandom;
                };
    	_tCam camSetRelPos [_xCoord, _yCoord, _zCoord];
    };
    _tCam camSetFOV 0.7;
    _tCam camCommit 5;
    sleep 10 + random 20;
  } forEach _vehicles;
  _vehicles = entities "Air";
  _vehicles set [count _vehicles, Nimitz];
};

_tCam cameraEffect ["terminate", "back"];
camDestroy _tCam;

hint "Finished";
