#include "Common.h"
private ["_nim", "_start", "_pos", "_dir", "_dest", "_grp", "_plane", "_nimspots", "_loadout", "_skin"];


_nim = [_this, 0, ObjNull] call BIS_fnc_param;
_start = [_this, 1, "E1"] call BIS_fnc_param;

_nimspots = _nim getVariable "nimspots";

_jets = [] call TTT_fnc_planeTypes;
_plane = _jets call BIS_fnc_selectRandom;

if (_start == "E1" or _start == "E2" or _start == "E3" or _start == "E4") then {
  // elevator position
  _pos = _nimspots modelToWorld(_nimspots selectionPosition _start);
  _dir = getDir _nimspots - 90;
  // special case port elevator
  if (_start == "E4") then {
    _dir = getDir _nimspots + 90;
  };
  _pos = CIRCLEPOS2(_pos, _dir, 25);
  
  _grp = createGroup west;
  _all = [_pos, _dir, _plane, _grp] call BIS_fnc_spawnVehicle;
  _plane = _all select 0;
  private _h = getPosASL _nim # 2 + 8;
  _plane setPosASL [_pos select 0, _pos select 1, _h];
  // waitUntil {alive _plane};
  _plane engineOn false;
  [_plane] call FA18_fnc_foldwing;
  _loadout = ["CAP", "CAS", "Strike", "StrikeLGB", "Empty", "Tanker", "MR"] call BIS_fnc_selectRandom;
  [_plane, _loadout] call TeTeT_fnc_loadout2;
  
  if (_plane isKindOf "JS_JC_FA18E") then {
    _skin = _nim getVariable "ttt_fa18e";
    if (_skin != "default") then {
      _plane setObjectTexture [0, _skin];
    };
  };
  if (_plane isKindOf "JS_JC_FA18F") then {
    _skin = _nim getVariable "ttt_fa18f";
    if (_skin != "default") then {  
      _plane setObjectTexture [0, _skin];
    };
  };
  
  // forcefully stopping the AI from driving the plane
  // {_x setDamage 1 } forEach crew _plane;
  { deleteVehicle _x } forEach crew _plane;
} else {
  // no support for unknown location
  format ["No such start position known: %1", _start] call TeTeT_fnc_debug;
  _plane = ObjNull;
};
_plane;
